Liblinphone 5.0.0

Public Member Functions | List of all members
linphone::ChatRoomListener Class Reference
Inheritance diagram for linphone::ChatRoomListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onIsComposingReceived (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::Address > &remoteAddress, bool isComposing)
| Is composing notification callback prototype. More...
virtual LINPHONECXX_PUBLIC void | onMessageReceived (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< linphone::ChatMessage > &message)
| Callback used to notify a chat room that a message has been received. More...
virtual LINPHONECXX_PUBLIC void | onNewEvent (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that an event log has been created. More...
virtual LINPHONECXX_PUBLIC void | onChatMessageReceived (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that a chat message has been received. More...
virtual LINPHONECXX_PUBLIC void | onChatMessageSending (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that a chat message is being sent. More...
virtual LINPHONECXX_PUBLIC void | onChatMessageSent (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that a chat message has been sent. More...
virtual LINPHONECXX_PUBLIC void | onParticipantAdded (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that a participant has been added. More...
virtual LINPHONECXX_PUBLIC void | onParticipantRemoved (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that a participant has been removed. More...
virtual LINPHONECXX_PUBLIC void | onParticipantAdminStatusChanged (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that the admin status of a participant has been changed. More...
virtual LINPHONECXX_PUBLIC void | onStateChanged (const std::shared_ptr< linphone::ChatRoom > &chatRoom, linphone::ChatRoom::State newState)
| Callback used to notify a chat room state has changed. More...
virtual LINPHONECXX_PUBLIC void | onSecurityEvent (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a security event in the chat room. More...
virtual LINPHONECXX_PUBLIC void | onSubjectChanged (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify that the subject of a chat room has changed. More...
virtual LINPHONECXX_PUBLIC void | onUndecryptableMessageReceived (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< linphone::ChatMessage > &message)
| Callback used to notify a chat room that a message has been received but we were unable to decrypt it. More...
virtual LINPHONECXX_PUBLIC void | onParticipantDeviceAdded (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that a participant has been added. More...
virtual LINPHONECXX_PUBLIC void | onParticipantDeviceRemoved (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that a participant has been removed. More...
virtual LINPHONECXX_PUBLIC void | onConferenceJoined (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room has been joined. More...
virtual LINPHONECXX_PUBLIC void | onConferenceLeft (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room has been left. More...
virtual LINPHONECXX_PUBLIC void | onEphemeralEvent (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that an ephemeral related event has been generated. More...
virtual LINPHONECXX_PUBLIC void | onEphemeralMessageTimerStarted (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that the lifespan of an ephemeral message before disappearing has started to decrease. More...
virtual LINPHONECXX_PUBLIC void | onEphemeralMessageDeleted (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::EventLog > &eventLog)
| Callback used to notify a chat room that an ephemeral message has been deleted. More...
virtual LINPHONECXX_PUBLIC void | onConferenceAddressGeneration (const std::shared_ptr< linphone::ChatRoom > &chatRoom)
| Callback used when a group chat room is created server-side to generate the address of the chat room. More...
virtual LINPHONECXX_PUBLIC void | onParticipantRegistrationSubscriptionRequested (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::Address > &participantAddress)
| Callback used when a group chat room server is subscribing to registration state of a participant. More...
virtual LINPHONECXX_PUBLIC void | onParticipantRegistrationUnsubscriptionRequested (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< const linphone::Address > &participantAddress)
| Callback used when a group chat room server is unsubscribing to registration state of a participant. More...
virtual LINPHONECXX_PUBLIC void | onChatMessageShouldBeStored (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< linphone::ChatMessage > &message)
| Callback used to tell the core whether or not to store the incoming message in db or not using linphone_chat_message_set_to_be_stored. More...
virtual LINPHONECXX_PUBLIC void | onChatMessageParticipantImdnStateChanged (const std::shared_ptr< linphone::ChatRoom > &chatRoom, const std::shared_ptr< linphone::ChatMessage > &message, const std::shared_ptr< const linphone::ParticipantImdnState > &state)
| Callback used to notify a participant state has changed in a message of this chat room. More...

## Member Function Documentation

## ◆ onChatMessageParticipantImdnStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onChatMessageParticipantImdnStateChanged | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< linphone::ChatMessage > & | message,
|  | const std::shared_ptr< const linphone::ParticipantImdnState > & | state
| ) |  |
| inline virtual

Callback used to notify a participant state has changed in a message of this chat room.

Parameters

  state | The LinphoneParticipantImdnState

## ◆ onChatMessageReceived()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onChatMessageReceived | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that a chat message has been received.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onChatMessageSending()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onChatMessageSending | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that a chat message is being sent.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onChatMessageSent()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onChatMessageSent | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that a chat message has been sent.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onChatMessageShouldBeStored()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onChatMessageShouldBeStored | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< linphone::ChatMessage > & | message
| ) |  |
| inline virtual

Callback used to tell the core whether or not to store the incoming message in db or not using linphone_chat_message_set_to_be_stored.

Parameters

  message | The LinphoneChatMessage that is being received

## ◆ onConferenceAddressGeneration()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onConferenceAddressGeneration | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom | ) |
| inline virtual

Callback used when a group chat room is created server-side to generate the address of the chat room.

The function linphone_chat_room_set_conference_address needs to be called by this callback.

Parameters

  chatRoom | LinphoneChatRoom object

## ◆ onConferenceJoined()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onConferenceJoined | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room has been joined.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onConferenceLeft()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onConferenceLeft | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room has been left.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onEphemeralEvent()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onEphemeralEvent | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that an ephemeral related event has been generated.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onEphemeralMessageDeleted()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onEphemeralMessageDeleted | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that an ephemeral message has been deleted.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onEphemeralMessageTimerStarted()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onEphemeralMessageTimerStarted | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that the lifespan of an ephemeral message before disappearing has started to decrease.

This callback is called when the ephemeral message is read by the receiver.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onIsComposingReceived()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onIsComposingReceived | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::Address > & | remoteAddress,
|  | bool | isComposing
| ) |  |
| inline virtual

Is composing notification callback prototype.

Parameters

  isComposing | A boolean value telling whether the remote is composing or not

## ◆ onMessageReceived()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onMessageReceived | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< linphone::ChatMessage > & | message
| ) |  |
| inline virtual

Callback used to notify a chat room that a message has been received.

Parameters

  message | The LinphoneChatMessage that has been received

## ◆ onNewEvent()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onNewEvent | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that an event log has been created.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onParticipantAdded()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onParticipantAdded | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that a participant has been added.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onParticipantAdminStatusChanged()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onParticipantAdminStatusChanged | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that the admin status of a participant has been changed.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onParticipantDeviceAdded()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onParticipantDeviceAdded | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that a participant has been added.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onParticipantDeviceRemoved()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onParticipantDeviceRemoved | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that a participant has been removed.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onParticipantRegistrationSubscriptionRequested()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onParticipantRegistrationSubscriptionRequested | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::Address > & | participantAddress
| ) |  |
| inline virtual

Callback used when a group chat room server is subscribing to registration state of a participant.

Parameters

  participantAddress | LinphoneAddress object

## ◆ onParticipantRegistrationUnsubscriptionRequested()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onParticipantRegistrationUnsubscriptionRequested | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::Address > & | participantAddress
| ) |  |
| inline virtual

Callback used when a group chat room server is unsubscribing to registration state of a participant.

Parameters

  participantAddress | LinphoneAddress object

## ◆ onParticipantRemoved()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onParticipantRemoved | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a chat room that a participant has been removed.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onSecurityEvent()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onSecurityEvent | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify a security event in the chat room.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onStateChanged()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onStateChanged | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | linphone::ChatRoom::State | newState
| ) |  |
| inline virtual

Callback used to notify a chat room state has changed.

Parameters

  newState | The new LinphoneChatRoomState of the chat room

## ◆ onSubjectChanged()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onSubjectChanged | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< const linphone::EventLog > & | eventLog
| ) |  |
| inline virtual

Callback used to notify that the subject of a chat room has changed.

Parameters

  eventLog | LinphoneEventLog The event to be notified

## ◆ onUndecryptableMessageReceived()

virtual LINPHONECXX_PUBLIC void linphone::ChatRoomListener::onUndecryptableMessageReceived | ( | const std::shared_ptr< linphone::ChatRoom > & | chatRoom,
|  | const std::shared_ptr< linphone::ChatMessage > & | message
| ) |  |
| inline virtual

Callback used to notify a chat room that a message has been received but we were unable to decrypt it.

Parameters

  message | The LinphoneChatMessage that has been received

The documentation for this class was generated from the following file:

- chat_room_listener.hh